Package com.emc.documentum.rest.dfc.conversion

# Class TypedObjectConverter

java.lang.Object
com.emc.documentum.rest.dfc.conversion.TypedObjectConverter

public final class TypedObjectConverter extends Object
Convert DFC objects to Core REST model

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TypedObjectConverter(com.documentum.fc.client.IDfTypedObject dfcObject)`
  Init the converter
  `TypedObjectConverter(com.documentum.fc.client.IDfTypedObject dfcObject, com.documentum.fc.client.IDfTypedObject otherObject, AttributeView attributeView)`
  Init the converter
  `TypedObjectConverter(com.documentum.fc.client.IDfTypedObject dfcObject, AttributeView attributeView)`
  Init the converter

- ## Method Summary

  Modifier and Type
  Method
  Description
  `<T extends PersistentObject>
  T`
  `convert(Class<T> clazz)`
  Convert the dfc object to instance of `PersistentObject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TypedObjectConverter

    public TypedObjectConverter(com.documentum.fc.client.IDfTypedObject dfcObject)
    Init the converter
    Parameters:
      `dfcObject` - DFC object to convert

  - ### TypedObjectConverter

    public TypedObjectConverter(com.documentum.fc.client.IDfTypedObject dfcObject, AttributeView attributeView)
    Init the converter
    Parameters:
      `dfcObject` - DFC object to convert
      `attributeView` - attribute view applied during convert

  - ### TypedObjectConverter

    public TypedObjectConverter(com.documentum.fc.client.IDfTypedObject dfcObject, com.documentum.fc.client.IDfTypedObject otherObject, AttributeView attributeView)
    Init the converter
    Parameters:
      `dfcObject` - DFC object to convert
      `otherObject` - if some attributes are missed in `dfcObject`, get them from `otherObject`
      `attributeView` - attribute view applied during convert

- ## Method Details

  - ### convert

    public <T extends PersistentObject> T convert(Class<T> clazz) throws com.documentum.fc.common.DfException
    Convert the dfc object to instance of `PersistentObject`
    Type Parameters:
      `T` - the type of the target object
    Parameters:
      `clazz` - Class object of type `T`
    Returns:
      converted instance of `PersistentObject`
    Throws:
      `com.documentum.fc.common.DfException` - the exception during convert